View Issue Details

IDProjectCategoryView StatusLast Update
0004791MediaMonkey (current)Main Panel/Toolbars/Menuspublic2010-10-20 03:46
Reporterpeke 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0004791: New Playlist option Missing from sub Playlists in Send to...
DescriptionWhen user wants to create new playlist from Selected tracks and navigate to sub playlists there is no Option to create new playlist which is only available in Root of "Send to... -> Playlists" and only option is to "add to <Playlist name>" or any sub playlists.

For future versions:
It would be good to have New playlist as an option to create new sub playlist of existing playlist or make option to user to Select Root playlist for New playlist creation.
TagsNo tags attached.
Fixed in build1301

Relationships

related to 0001135 new Improve usability of Save Playlists dialog 

Activities

peke

2008-07-22 23:38

developer   ~0014405

Last edited: 2008-07-22 23:41

Example 1 of Send to..
|Test playlist > test sub-playlist > Add to test sub-playlist
|....................................New Playlist
|....................................------------------------
|....................................Last Sub-Playlist
|Test Playlist 2

Example 2 of Send to..
|Test playlist > test sub-playlist > New Playlist
|Test Playlist 2


Example Of New Playlist creation dialog:
|-------------------------------------------------|
| Enter new playlist name: [___________________] |
| Parent playlist: <Playlist Name> ........... [Browse] |
|-------------------------------------------------|

peke

2008-07-22 23:42

developer   ~0014406

I think that this would be very much useful in Managing Playlists and should be not too hard to implement.

rusty

2008-07-23 19:21

administrator   ~0014407

I think that this would clutter the UI with little benefit. I see the issue, though, and wonder if there's a way to improve the situation via the dialog discussed in 1135.

peke

2008-07-23 22:04

developer   ~0014408

Last edited: 2008-07-23 22:06

Yes you are right, we could deffer it. Currently before user can Save selection in sub-playlist is to create it before use of Send to.

Also UI in Example 1 could be easily made and should not change UI Too much as there is already Add to option.

Other two are just ideas without much benefits.

Ludek

2009-12-10 13:15

developer   ~0019824

Last edited: 2009-12-10 20:18

Yesterday I created some playlists for a Christmas Party and I also find the 'New Playlist' option missing for sub playlists.

e.g.
I created playlist "Christmas Party" and sub to the playlist I created "fast"
Then I selected a track I wanted to send it to
Christmas Party -> Fast
that's ok, but if I wanted to send it to
Christmas Party -> Slow
or
Christmas Party -> Rock 'N Roll

I needed to create each such a subplaylist sideward and then navigate back to the track I want to send. This is very time consuming.
I would expect the
Christmas Party -> [New Playlist]
option to be there (and I am missing it same as Peke and probably many DJs creating playlists too often).

Rusty, assign to me for implementation if you have no objections.

rusty

2009-12-10 20:51

administrator   ~0019827

Sounds good. Set to 'assigned'.

Ludek

2009-12-11 14:12

developer   ~0019833

Fixed in build 1301.

peke

2010-10-20 03:46

developer   ~0020871

Verified 1317